Page MenuHomePhabricator

Replace upstart with systemd unit in ::zotero
Closed, ResolvedPublic0 Story Points

Description

service { 'zotero':
    ensure     => running,
    enable     => true,
    hasstatus  => true,
    hasrestart => true,
    provider   => 'upstart',
    subscribe  => File['/etc/init/zotero.conf'],
}

Event Timeline

bd808 created this task.Dec 29 2016, 5:24 AM

Probably should be updated to use service::node after T154267: Replace upstart with systemd unit in service::node is complete.

Patches should be submitted to the jessie-migration gerrit branch.

Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 29 2016, 5:40 AM
mobrovac added a project: User-mobrovac.
mobrovac added a subscriber: mobrovac.

Probably should be updated to use service::node after T154267: Replace upstart with systemd unit in service::node is complete.

Eh, can't do that because Zotero runs on xpcshell, not Node :/

Change 329599 had a related patch set uploaded (by Mobrovac):
Zotero: Migrate to SystemD

https://gerrit.wikimedia.org/r/329599

Mvolz moved this task from Backlog to Production on the Citoid board.Jan 9 2017, 1:48 PM

Change 329599 merged by jenkins-bot:
Zotero: Migrate to SystemD

https://gerrit.wikimedia.org/r/329599

bd808 closed this task as Resolved.Jan 23 2017, 4:39 AM
Jdforrester-WMF set the point value for this task to 0.Feb 2 2017, 7:01 PM